Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkParallelCoordinatesActor Class Reference

`#include <vtkParallelCoordinatesActor.h>`

Inheritance diagram for vtkParallelCoordinatesActor:

[legend]
Collaboration diagram for vtkParallelCoordinatesActor:

[legend]
List of all members.

## Detailed Description

create parallel coordinate display from input field

Date:
  2002/11/11 21:41:40

Revision:
  1.20

vtkParallelCoordinatesActor generates a parallel coordinates plot from an input field (i.e., vtkDataObject). Parallel coordinates represent N-dimensional data by using a set of N parallel axes (not orthogonal like the usual x-y-z Cartesian axes). Each N-dimensional point is plotted as a polyline, were each of the N components of the point lie on one of the N axes, and the components are connected by straight lines.

To use this class, you must specify an input data object. You'll probably also want to specify the position of the plot be setting the Position and Position2 instance variables, which define a rectangle in which the plot lies. Another important parameter is the IndependentVariables ivar, which tells the instance how to interpret the field data (independent variables as the rows or columns of the field). There are also many other instance variables that control the look of the plot includes its title, attributes, number of ticks on the axes, etc.

Set the text property/attributes of the title and the labels through the vtkTextProperty objects associated to this actor.

Warning:
  Field data is not necessarily "rectangular" in shape. In these cases, some of the data may not be plotted.

Warning:
  The early implementation lacks many features that could be added in the future. This includes the ability to "brush" data (choose regions along an axis and highlight any points/lines passing through the region); efficiency is really bad; more control over the properties of the plot (separate properties for each axes,title,etc.; and using the labels found in the field to label each of the axes.

See also:
  vtkAxisActor3D can be used to create axes in world coordinate space. vtkActor2D vtkTextMapper vtkPolyDataMapper2D vtkScalarBarActor vtkCoordinate vtkTextProperty

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (59%)
  - Barre, Sebastien (31%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkParallelCoordinatesActor.h)`
  - .`cxx` (`/Rendering/vtkParallelCoordinatesActor.cxx)`

Tests:
  vtkParallelCoordinatesActor (Tests)

Definition at line 89 of file vtkParallelCoordinatesActor.h.

## Public Types
typedef vtkActor2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkDataObject *)
void | ReleaseGraphicsResources (vtkWindow *)
virtual void | SetIndependentVariables (int)
virtual int | GetIndependentVariables ()
void | SetIndependentVariablesToColumns ()
void | SetIndependentVariablesToRows ()
virtual void | SetTitle (const char *)
virtual char * | GetTitle ()
virtual void | SetNumberOfLabels (int)
virtual int | GetNumberOfLabels ()
virtual void | SetLabelFormat (const char *)
virtual char * | GetLabelFormat ()
virtual void | SetTitleTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetTitleTextProperty ()
virtual void | SetLabelTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetLabelTextProperty ()
virtual void | SetFontFamily (int val)
virtual int | GetFontFamily ()
void | SetFontFamilyToArial ()
void | SetFontFamilyToCourier ()
void | SetFontFamilyToTimes ()
virtual void | SetBold (int val)
virtual int | GetBold ()
virtual void | BoldOn ()
virtual void | BoldOff ()
virtual void | SetItalic (int val)
virtual int | GetItalic ()
virtual void | ItalicOn ()
virtual void | ItalicOff ()
virtual void | SetShadow (int val)
virtual int | GetShadow ()
virtual void | ShadowOn ()
virtual void | ShadowOff ()
int | RenderOpaqueGeometry (vtkViewport *)
int | RenderOverlay (vtkViewport *)
int | RenderTranslucentGeometry (vtkViewport *)
virtual vtkDataObject * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkParallelCoordinatesActor * | SafeDownCast (vtkObject *o)
vtkParallelCoordinatesActor * | New ()
## Protected Methods
| vtkParallelCoordinatesActor ()
| ~vtkParallelCoordinatesActor ()

## Member Typedef Documentation

typedef vtkActor2D vtkParallelCoordinatesActor::Superclass

| Reimplemented from vtkActor2D. Definition at line 92 of file vtkParallelCoordinatesActor.h.

## Constructor & Destructor Documentation

vtkParallelCoordinatesActor::vtkParallelCoordinatesActor | ( |  | ) | `[protected]`

vtkParallelCoordinatesActor::~vtkParallelCoordinatesActor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkParallelCoordinatesActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor2D.

int vtkParallelCoordinatesActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

virtual int vtkParallelCoordinatesActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

vtkParallelCoordinatesActor* vtkParallelCoordinatesActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor2D.

void vtkParallelCoordinatesActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor2D.

vtkParallelCoordinatesActor* vtkParallelCoordinatesActor::New | ( |  | ) | `[static]`

| Instantiate object with autorange computation; the number of labels set to 5 for the x and y axes; a label format of "%-#6.3g"; and x coordinates computed from point ids. Reimplemented from vtkActor2D.

virtual void vtkParallelCoordinatesActor::SetIndependentVariables | ( | int |  | ) | `[virtual]`

| Specify whether to use the rows or columns as independent variables. If columns, then each row represents a separate point. If rows, then each column represents a separate point.

virtual int vtkParallelCoordinatesActor::GetIndependentVariables | ( |  | ) | `[virtual]`

| Specify whether to use the rows or columns as independent variables. If columns, then each row represents a separate point. If rows, then each column represents a separate point.

void vtkParallelCoordinatesActor::SetIndependentVariablesToColumns | ( |  | ) | `[inline]`

| Specify whether to use the rows or columns as independent variables. If columns, then each row represents a separate point. If rows, then each column represents a separate point. Definition at line 106 of file vtkParallelCoordinatesActor.h. References VTK_IV_COLUMN.

void vtkParallelCoordinatesActor::SetIndependentVariablesToRows | ( |  | ) | `[inline]`

| Specify whether to use the rows or columns as independent variables. If columns, then each row represents a separate point. If rows, then each column represents a separate point. Definition at line 108 of file vtkParallelCoordinatesActor.h. References VTK_IV_ROW.

virtual void vtkParallelCoordinatesActor::SetTitle | ( | const char * |  | ) | `[virtual]`

| Set/Get the title of the parallel coordinates plot.

virtual char* vtkParallelCoordinatesActor::GetTitle | ( |  | ) | `[virtual]`

| Set/Get the title of the parallel coordinates plot.

virtual void vtkParallelCoordinatesActor::SetNumberOfLabels | ( | int |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show along each axis. This values is a suggestion: the number of labels may vary depending on the particulars of the data.

virtual int vtkParallelCoordinatesActor::GetNumberOfLabels | ( |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show along each axis. This values is a suggestion: the number of labels may vary depending on the particulars of the data.

virtual void vtkParallelCoordinatesActor::SetLabelFormat | ( | const char * |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on the axes.

virtual char* vtkParallelCoordinatesActor::GetLabelFormat | ( |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on the axes.

virtual void vtkParallelCoordinatesActor::SetTitleTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the title text property.

virtual vtkTextProperty* vtkParallelCoordinatesActor::GetTitleTextProperty | ( |  | ) | `[virtual]`

| Set/Get the title text property.

virtual void vtkParallelCoordinatesActor::SetLabelTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the labels text property.

virtual vtkTextProperty* vtkParallelCoordinatesActor::GetLabelTextProperty | ( |  | ) | `[virtual]`

| Set/Get the labels text property.

virtual void vtkParallelCoordinatesActor::SetFontFamily | ( | int | val | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkParallelCoordinatesActor::GetFontFamily | ( |  | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

void vtkParallelCoordinatesActor::SetFontFamilyToArial | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 153 of file vtkParallelCoordinatesActor.h. References VTK_ARIAL.

void vtkParallelCoordinatesActor::SetFontFamilyToCourier | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 154 of file vtkParallelCoordinatesActor.h. References VTK_COURIER.

void vtkParallelCoordinatesActor::SetFontFamilyToTimes | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 155 of file vtkParallelCoordinatesActor.h. References VTK_TIMES.

virtual void vtkParallelCoordinatesActor::SetBold | ( | int | val | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkParallelCoordinatesActor::GetBold | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkParallelCoordinatesActor::BoldOn | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkParallelCoordinatesActor::BoldOff | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkParallelCoordinatesActor::SetItalic | ( | int | val | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkParallelCoordinatesActor::GetItalic | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkParallelCoordinatesActor::ItalicOn | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkParallelCoordinatesActor::ItalicOff | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkParallelCoordinatesActor::SetShadow | ( | int | val | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkParallelCoordinatesActor::GetShadow | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkParallelCoordinatesActor::ShadowOn | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkParallelCoordinatesActor::ShadowOff | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

int vtkParallelCoordinatesActor::RenderOpaqueGeometry | ( | vtkViewport * |  | ) | `[virtual]`

| Draw the parallel coordinates plot. Reimplemented from vtkActor2D.

int vtkParallelCoordinatesActor::RenderOverlay | ( | vtkViewport * |  | ) | `[virtual]`

| Draw the parallel coordinates plot. Reimplemented from vtkActor2D.

int vtkParallelCoordinatesActor::RenderTranslucentGeometry | ( | vtkViewport * |  | ) | `[inline, virtual]`

| Draw the parallel coordinates plot. Reimplemented from vtkActor2D. Definition at line 196 of file vtkParallelCoordinatesActor.h.

virtual void vtkParallelCoordinatesActor::SetInput | ( | vtkDataObject * |  | ) | `[virtual]`

| Set the input to the parallel coordinates actor.

virtual vtkDataObject* vtkParallelCoordinatesActor::GetInput | ( |  | ) | `[virtual]`

| Remove a dataset from the list of data to append.

void vtkParallelCoordinatesActor::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkActor2D.

The documentation for this class was generated from the following file:

- Rendering/vtkParallelCoordinatesActor.h